Watch, Follow, &
Connect with Us
Public Report
Report From: JBuilder/Web Services    [ Add a report in this area ]  
Report #:  30336   Status: Reported
Axis web service wizard does not find webmodules using Servlet 2.4
Project:  JBuilder Build #:  12.0.206.0
Version:    12 Submitted By:   Pontus Amberg
Report Type:  Basic functionality failure Date Reported:  6/20/2006 5:14:41 AM
Severity:    Infrequently encountered problem Last Updated: 6/20/2006 5:15:53 AM
Platform:    All platforms Internal Tracking #:  
Resolution: None  Resolved in Build: : None
Duplicate of:  None
Voting and Rating
Overall Rating: No Ratings Yet
0.00 out of 5
Total Votes: None
Description
When using any of the wizards to create a web service the Web module can't use Servlet 2.4 because then it is impossible to pick that web module in the wizards. If the web module is using Servlet 2.3 it seems to work fine.
Steps to Reproduce:
1. Create a new project
2. Add new webservice server config ( File->New->Web Services (J2EE 1.3)->Axis Web Services Server Configuration ).
3. Create new Web module by clicking on the New button
4. Select Tomcat 5.5 as the Single server for all services
5. Choose "Create empty Web Module"
6. Choose Servlet 2.4 as the Servlet standard
7. You shall now be back to the "Step 1" of the Axis Web Server Config Wizard and it will not be possible to choose the newly created Web Module.
Workarounds
Make sure the Web Module is using the Servlet 2.3 standard. It should then be possible to use the Web Service wizards.
Attachment
None
Comments

None

Server Response from: ETNACODE01